# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:6

before_script:
  - npm install yarn -g
  - yarn install

# This folder is cached between builds
# http://docs.gitlab.com/ce/ci/yaml/README.html#cache
cache:
  paths:
    - node_modules/

test:lint:
  script:
    - yarn run lint

test:errors:
  script:
    - yarn run test

test:node:6:
  script:
    - yarn run release
    - yarn test

test:node:7:
  image: node:7
  script:
    - yarn run release
    - yarn test

# Publish tagged versions to npm
publish:
  stage: deploy
  only:
    - tags
    - triggers
  script:
    - yarn run release
    - cd dist
    - echo '//registry.npmjs.org/:_authToken=${NPM_TOKEN}'>.npmrc
    - npm publish --access=public
